%define upstream_name Template-Multilingual
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	Multilingual templates for Template Toolkit
License:	GPL or Artistic
Group:		Development/Perl
Source:		https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Template)
BuildArch:	noarch


%description
This subclass of Template Toolkit's Template class supports multilingual
templates: templates that contain text in several languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot}

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/Template/Multilingual.pm
%{perl_vendorlib}/Template/Multilingual
%{_mandir}/*/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.0-12.mga10
+ Revision: 2215903
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1901193
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1497281
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1271581
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-8.mga6
+ Revision: 1033871
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 934383
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.00-6.mga5
+ Revision: 748894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-5.mga5
+ Revision: 686336
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-4.mga4
+ Revision: 514942
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-3.mga3
+ Revision: 373123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.00-2.mga1
+ Revision: 36562
- mageia rebuild
- imported package perl-Template-Multilingual

